---
title: "List your connect links"
url: https://docs.light-ai.app/api-reference/partners/list-connect-links.md
canonical_url: https://docs.light-ai.app/api-reference/partners/list-connect-links
last_updated: 2026-10-13
summary: "GET /v1/partner/connect_links: List your connect links"
api_status: beta
related:
  - https://docs.light-ai.app/api-reference/partners
---

# List your connect links

> GET /v1/partner/connect_links: List your connect links

`GET /v1/partner/connect_links`

|   |   |
| --- | --- |
| Credential | Partner API key (a key of a partner account). |
| Test mode | Works with test keys (test objects only). |

## Query parameters

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `limit` | integer |  | Page size, 1–100 (default 25). 1–100. |
| `cursor` | string |  | next_cursor from the previous page. At most 400 characters. |

## Headers

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `Light-AI-Version` | string |  | Pin a dated API version (defaults to the key's version). One of: `2026-11-01`. |

## Response 200

A page of links, newest first.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `object` | string | yes | Always `list`. |
| `data` | object[] | yes |  |
| `data[].id` | string | yes | Id prefix `cl_`. |
| `data[].object` | string | yes | Always `connect_link`. |
| `data[].scopes` | string[] | yes | One of: `leads:read`, `leads:write`, `clients:read`, `clients:write`, `projects:read`, `projects:write`, `quotes:read`, `quotes:write`, `quotes:share_link`, `quotes:asset_links`, `webhooks:manage`, `events:read`, `mockups:read`, `mockups:write`, `forms:read`, `forms:write`. |
| `data[].bound_organization` | string \| null | yes | Id prefix `org_`. |
| `data[].client_label` | string \| null | yes |  |
| `data[].external_reference` | string \| null | yes |  |
| `data[].metadata` | object | yes |  |
| `data[].redirect_uri` | string \| null | yes |  |
| `data[].status` | string | yes | One of: `open`, `consumed`, `expired`, `revoked`. |
| `data[].grant` | string \| null | yes | Id prefix `grant_`. |
| `data[].created_at` | timestamp | yes | RFC 3339 timestamp (UTC, milliseconds). |
| `data[].expires_at` | timestamp | yes | RFC 3339 timestamp (UTC, milliseconds). |
| `data[].consumed_at` | timestamp \| null | yes | RFC 3339 timestamp (UTC, milliseconds). |
| `data[].url` | string |  | The link to send to the contractor. Returned only when created. |
| `has_more` | boolean | yes |  |
| `next_cursor` | string \| null | yes | Pass as `cursor` to fetch the next page. |

## Errors

| Status | Meaning |
| --- | --- |
| `400` | Bad request. [`bad_request`](https://docs.light-ai.app/errors#bad_request), [`test_mode_mismatch`](https://docs.light-ai.app/errors#test_mode_mismatch), [`test_mode_unsupported`](https://docs.light-ai.app/errors#test_mode_unsupported), [`unsupported_api_version`](https://docs.light-ai.app/errors#unsupported_api_version) |
| `401` | Missing or invalid credential. [`authentication_required`](https://docs.light-ai.app/errors#authentication_required), [`invalid_api_key`](https://docs.light-ai.app/errors#invalid_api_key), [`api_key_revoked`](https://docs.light-ai.app/errors#api_key_revoked), [`api_key_expired`](https://docs.light-ai.app/errors#api_key_expired), [`api_key_suspended`](https://docs.light-ai.app/errors#api_key_suspended) |
| `403` | Not allowed. [`insufficient_scope`](https://docs.light-ai.app/errors#insufficient_scope), [`plan_upgrade_required`](https://docs.light-ai.app/errors#plan_upgrade_required), [`organization_paused`](https://docs.light-ai.app/errors#organization_paused), [`organization_off_season`](https://docs.light-ai.app/errors#organization_off_season), [`api_disabled`](https://docs.light-ai.app/errors#api_disabled), [`api_access_not_enabled`](https://docs.light-ai.app/errors#api_access_not_enabled), [`ip_not_allowed`](https://docs.light-ai.app/errors#ip_not_allowed), [`forbidden`](https://docs.light-ai.app/errors#forbidden) |
| `404` | Not found (also for objects of other organizations and for organizations without an active grant). |
| `422` | Validation failed. [`idempotency_key_reused`](https://docs.light-ai.app/errors#idempotency_key_reused) |
| `429` | Rate limited or daily cap reached. See Retry-After and the RateLimit headers. [`rate_limited`](https://docs.light-ai.app/errors#rate_limited), [`daily_cap_reached`](https://docs.light-ai.app/errors#daily_cap_reached) |
| `500` | Unexpected server error. Safe to retry with exponential backoff; quote the Request-Id to support. [`internal_error`](https://docs.light-ai.app/errors#internal_error) |
| `503` | Temporarily unavailable. Retry with exponential backoff. [`service_unavailable`](https://docs.light-ai.app/errors#service_unavailable) |

## Examples

**Request**

curl:

```bash
curl -X GET "https://api.light-ai.app/v1/partner/connect_links" \
  -H "Authorization: Bearer $LIGHT_AI_API_KEY"
```

JavaScript:

```javascript
const response = await fetch('https://api.light-ai.app/v1/partner/connect_links', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${process.env.LIGHT_AI_API_KEY}`,
  },
});
const data = await response.json();
```

Python:

```python
import os, uuid, requests

response = requests.get(
    "https://api.light-ai.app/v1/partner/connect_links",
    headers={
        "Authorization": f"Bearer {os.environ['LIGHT_AI_API_KEY']}",
    },
    timeout=30,
)
data = response.json()
```

**Response 200**

```json
{
  "object": "list",
  "data": [
    {
      "id": "cl_3f9c2a7be41d…",
      "object": "connect_link",
      "scopes": [
        "leads:read"
      ],
      "bound_organization": "org_3f9c2a7be41d…",
      "client_label": "string",
      "external_reference": "string",
      "metadata": {},
      "redirect_uri": "string",
      "status": "open",
      "grant": "grant_3f9c2a7be41d…",
      "created_at": "2026-10-12T14:03:11.000Z",
      "expires_at": "2026-10-12T14:03:11.000Z",
      "consumed_at": "2026-10-12T14:03:11.000Z",
      "url": "https://example.com/…"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
```
